-- Keep track of users information, including GPS coordinates/info
DROP TABLE IF EXISTS Users;
CREATE TABLE Users (
  UserID int(10) unsigned NOT NULL auto_increment,
  UserName varchar(25) NOT NULL,
  Password char(40) collate latin1_bin NOT NULL,
  AccessKey char(6) collate latin1_bin NOT NULL,
  Latitude double NOT NULL DEFAULT 0,
  Longitude double NOT NULL DEFAULT 0,
  Altitude double NOT NULL DEFAULT 0,
  Accuracy float NOT NULL DEFAULT 0,
  UserTime int(10) unsigned NOT NULL DEFAULT 0,
  RealTime int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (UserID),
  UNIQUE KEY (UserName),
  UNIQUE KEY AccessKey (AccessKey),
  KEY RealTime (RealTime)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci;