<?
require_once('../Config.php');
header('Content-Type: text/html; charset=utf-8');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>GPS Mapping Listing</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=<?=$GoogleMapsKey?>&amp;sensor=false" type="text/javascript"></script>
<script type="text/javascript" src="../Lib/Common.js"></script>
<script type="text/javascript" src="../Lib/AJAX.js"></script>
<script type="text/javascript" src="../Lib/ActionCounter.js"></script>
<script type="text/javascript" src="GPSMapping.js"></script>
<link href="Res/styles.css" rel=stylesheet type="text/css">
</head>
<body>
<div id="map_canvas"></div>
<table id=DataTable><tr>
	<td width="200" valign=top class=RightBorder>
		<div class=SectionTitle>User Legend</div>
		<div id=UserLegend></div>
	</td>
	<td class=RightBorder valign=top>
		<div class=SectionTitle>Map Options</div>

		<center>
			<table id=UserBar>
				<tr>
					<td>Add User (Access Key):</td>
					<td><form action="#" onSubmit="try { AddUser(); } catch(e) {} return false;"><input type=text id=AddUserText></form></td>
					<td><input type=button onclick="AddUser()" value="Add"></td>
				</tr>
			</table>
			<input type=button value="Show Search Bar" onclick="DisplaySearchBar()" id=DisplaySearchBar> <input type=button value="Remember Map Center" onclick="StoreMapCenter()"><br><br>
			<a href="Login.php">Register/Login</a>
		</center>

	</td>
	<td valign=top>
		<div class=SectionTitle>Refresh Options</div>
		<center>
			Interval to refresh information in seconds: <font size="-1">(Set to zero to turn off)</font><br>
			<table><tr><td>
				<input type=text value="5" id=IntervalValue>
				<div id=TimeLeft>0</div>
				<input type=button onclick="if(TheActionCounter!==undefined) TheActionCounter.ExecuteAction()" value="Refresh info now" id=RefreshButton>
			</td></tr></table>
			<div id=LastUpdateCon>Last Update: <span id=LastUpdate>Never</span></div>
		</center>
	</td>
</tr></table>

<div id=Updates></div>

<script type="text/javascript">
initialize("<?=$DefaultMapCenter?>");
document.body.onunload=GUnload;
</script>
</body>
</html>